Subject: bug#38213: 27.0.50; add tooltip move-frame handling to mouse-avoidance-mode

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Nov 2019 11:50:10 +0200

> Cc: [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Fri, 15 Nov 2019 09:53:37 +0100
> 
>  > Shouldn't we instead avoid emitting this event when a tooltip frame is
>  > positioned?  Otherwise, we will have to make such adaptations in many
>  > places.
> 
> Doesn't the tooltip frame get removed because 'mouse-avoidance-mode'
> reacts to a movement of the normal frame that "hosts" the tooltip
> frame.

But the normal frame which hosts the tooltip is not moved in this
scenario.  To reproduce, turn on mouse-avoidance-mode (I used 'jump'
as the avoidance technique), then start Dired, and move the mouse to
the file name under cursor.  Here, the tooltip appears and immediately
disappears, and I see no movement of the "hosting" frame anywhere.